# QConnection Class Reference

The QConnection class is an internal class, used in the signal/slot mechanism. More...

`#include <qconnection.h>`

List of all member functions.

## Public Members

- QConnection ( const QObject *, QMember, const char * memberName )
- ~QConnection ()
- bool isConnected () const
- QObject* object () const
- QMember* member () const
- const char* memberName () const
- int numArgs () const

## Detailed Description

The QConnection class is an internal class, used in the signal/slot mechanism.

Do not use this class directly in application programs.

## Member Function Documentation

### QConnection::QConnection ( const QObject * object, QMember member, const char * memberName )

For internal use only.

### QConnection::~QConnection ()

For internal use only.

### bool QConnection::isConnected () const

For internal use only.

### QMember * QConnection::member () const

For internal use only.

### const char * QConnection::memberName () const

For internal use only.

### int QConnection::numArgs () const

For internal use only.

### QObject * QConnection::object () const

For internal use only.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qconnection.h: 1998/08/21
- qconnection.cpp: 1998/07/03